/**
 * @hidden
 * @type {angular.IController}
 */
export class BtnGroupController {
    /**
     * @param {angular.IScope} $scope Scope.
     * @hidden
     */
    constructor($scope: angular.IScope);
    /**
     * @type {angular.ICompiledExpression[]}
     * @private
     */
    private buttons_;
    /**
     * @type {angular.IScope}
     * @private
     */
    private scope_;
    /**
     * @param {number} index Index of the button in buttons array.
     */
    activate(index: number): void;
    /**
     * @param {angular.ICompiledExpression} expressionFn Expression function.
     * @returns {number} Index of the pushed setter.
     */
    addButton(expressionFn: angular.ICompiledExpression): number;
}
export namespace BtnGroupController {
    let $inject: string[];
}
export default myModule;
import angular from 'angular';
/**
 * @type {angular.IModule}
 * @hidden
 */
declare const myModule: angular.IModule;
